msgpack::type::array_ref< T > Struct Template Reference

`#include <array_ref.hpp>`

## Public Member Functions

| array_ref ()
| array_ref (T &t)
std::size_t | size () const
template<typename U >
bool | operator== (array_ref< U > const &t) const
template<typename U >
bool | operator!= (array_ref< U > const &t) const
template<typename U >
bool | operator< (array_ref< U > const &t) const
template<typename U >
bool | operator> (array_ref< U > const &t) const
template<typename U >
bool | operator<= (array_ref< U > const &t) const
template<typename U >
bool | operator>= (array_ref< U > const &t) const

## Public Attributes

T * | data

## Constructor & Destructor Documentation

## array_ref() [1/2]

template<typename T>

msgpack::type::array_ref< T >::array_ref | ( |  | ) |

inline

## array_ref() [2/2]

template<typename T>

msgpack::type::array_ref< T >::array_ref | ( | T & | t | ) |

inline

## Member Function Documentation

## operator!=()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator!= | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator<()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator< | ( | array_ref< U > const & | t | ) | const

inline

## operator<=()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator<= | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator==()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator== | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator>()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator> | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## operator>=()

template<typename T>
template<typename U >

bool msgpack::type::array_ref< T >::operator>= | ( | array_ref< U > const & | t | ) | const

inline

References msgpack::type::array_ref< T >::data.

## size()

template<typename T>

std::size_t msgpack::type::array_ref< T >::size | ( |  | ) | const

inline

Referenced by msgpack::adaptor::convert< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::pack< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::pack< msgpack::type::array_ref< T[N]> >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T[N]> >::operator()(), and msgpack::type::array_ref< T[N]>::operator==().

## Member Data Documentation

## data

template<typename T>

T* msgpack::type::array_ref< T >::data

Referenced by msgpack::type::array_ref< T >::operator!=(), msgpack::adaptor::convert< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::pack< msgpack::type::array_ref< T > >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::array_ref< T > >::operator()(), msgpack::type::array_ref< T[N]>::operator<(), msgpack::type::array_ref< T >::operator<=(), msgpack::type::array_ref< T[N]>::operator<=(), msgpack::type::array_ref< T >::operator==(), msgpack::type::array_ref< T[N]>::operator==(), msgpack::type::array_ref< T >::operator>(), msgpack::type::array_ref< T[N]>::operator>(), msgpack::type::array_ref< T >::operator>=(), and msgpack::type::array_ref< T[N]>::operator>=().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/adaptor/array_ref.hpp